[Twisted-Python] ANNOUNCING Tahoe, the Least-Authority File System, v1.7.0

Zooko O'Whielacronx zooko at zooko.com
Mon Jun 28 23:41:04 EDT 2010

On Sun, Jun 27, 2010 at 4:04 AM, Peter Westlake
<peter.westlake at pobox.com> wrote:
>> python -c "import pkg_resources;print pkg_resources.require('Twisted')"
> It says:
> allmydata-tahoe-1.7.0$ python -c "import pkg_resources;print
> pkg_resources.require('Twisted')"
> [Twisted 10.0.0
> (/localhome/packages/allmydata-tahoe-1.7.0/Twisted-10.0.0-py2.5-linux-i686.egg),
> zope.interface 3.4.0 (/usr/lib/python2.5/site-packages)]

Well, okay, that says that the one in your current working directory,
in a .egg, would satisfy that requirement. But suppose you cd to a
different directory and run it again. :-) Or rm that .egg and run it
again. Thanks!

The thing is, it should have been satisfied with the Twisted 8 that
was already installed in your system, instead of creating that local
Twisted 10.0.0 egg.



More information about the Twisted-Python mailing list